Name:           clamsmtp
Version:       1.10 
Release:        1%{?dist}
Summary:        SMTP filter

Group:          System Environment/Daemons
License:        BSD
URL:            http://memberwebs.com/nielsen/software/clamsmtp/
Source0:        http://memberwebs.com/nielsen/software/clamsmtp/%{name}-%{version}.tar.gz
Source1: clamsmtpd.init
Patch1: clamsmtpd-conf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf automake
Requires:       clamav

%description
ClamSMTP is an SMTP filter that checks for viruses using ClamAV.
It aims to be lightweight, reliable, and simple


%prep
%setup -q

%patch1 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#
#mkdir -p %{buildroot}%{_initrddir}
#cp init.d/clamsmtpd %{buildroot}%{_initrddir}

%{__strip} %{buildroot}%{_sbindir}/clamsmtpd
%{__install} -d %{buildroot}%{_initrddir}
%{__install} %{SOURCE1} %{buildroot}%{_initrddir}/clamsmtpd
%{__install} doc/clamsmtpd.conf %{buildroot}%{_sysconfdir}/clamsmtpd.conf


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add clamsmtpd

%preun
if [ $1 -eq 0 ]; then
/sbin/service clamsmtpd stop > /dev/null 2>&1 || :
/sbin/chkconfig --del clamsmtpd
fi

%postun
/sbin/service %{name} condrestart &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc README
%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/clamsmtpd.conf
#%attr(0755,root,root)
%{_initrddir}/clamsmtpd
#%attr(0755,root,root) %{_sbindir}/clamsmtpd
%{_sbindir}/clamsmtpd
#%doc README scripts/
%{_mandir}/man5/clamsmtpd.conf.5*
%{_mandir}/man8/clamsmtpd.8*



%changelog
* Sat Jun 2 2010 Andres Pascasio <morpheusv@gmail.com> - 1.10-1
- First Fedora spec compliant version, several modifications
